Skip to main content

STU3 Procedure

The Procedure resource describes "an action that is or was performed on a patient. This can be a physical intervention like an operation, or less invasive like counseling or hypnotherapy." HL7 FHIR STU3 Procedure

Supported Profiles

This API supports the following FHIR profiles:

Operations

The General Purpose STU3 API Procedure resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED----
myAvatar----
myEvolv----
myUnity----
info

Not all Netsmart solutions support Procedure search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED "The unique identifier of the patient.
_ididUnique identifier of the Procedure. Cannot be used with other search parameters.

Custom Parameters

NameTypeDescription
enddateEnd date/time
startdateStart date/time

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/Procedure/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/147"
Via GET
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/Procedure?patient=Patient/147" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"